package com.springpoc.devicemanagement.controller;

import com.springpoc.devicemanagement.dto.DeviceDTO;
import com.springpoc.devicemanagement.dto.MerchantDeviceAssReq;
import com.springpoc.devicemanagement.model.Device;
import com.springpoc.devicemanagement.model.MerchantDeviceAss;
import com.springpoc.devicemanagement.service.DeviceService;
import org.apache.kafka.common.protocol.types.Field;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping("/device")
public class DeviceController {

    @Autowired
    DeviceService deviceService;

    @PostMapping("/createDevice")
    public Mono<ResponseEntity<DeviceDTO>> createDevice(@RequestBody Mono<DeviceDTO> deviceDTO) {
        return deviceService.saveDeviceDetails(deviceDTO)
                .map(ResponseEntity::ok);
    }

    @DeleteMapping("/deleteDevice")
    public Mono<String> deleteDevice() {
        return deviceService.deleteDeviceDetails();
    }

    @PostMapping("/merchantDeviceAssociation")
    public  Mono<String> merchantDeviceAssociation(@RequestBody MerchantDeviceAssReq merchantDeviceAssReq) {
        return deviceService.createAssociation(merchantDeviceAssReq);
    }
}
