package com.springpoc.devicemanagement.dto;

import jakarta.persistence.Column;
import jakarta.validation.constraints.NotBlank;
import lombok.*;

import java.time.LocalDateTime;
import java.util.UUID;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Data
public class DeviceDTO {

    @NotBlank(message = "Device type is required")
    private String deviceType;
    private long serialNo;
    private String version;
    private String description;
    @NotBlank(message = "created By User cannot be blank")
    private String createdBy;
    private LocalDateTime createdTime;
    private String updatedBy;
    private LocalDateTime updatedTime;
}
