package com.springpoc.devicemanagement.model;

import jakarta.persistence.Column;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.validation.constraints.NotBlank;
import lombok.*;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDateTime;
import java.util.UUID;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Data
@ToString
@Document(collection = "device-details")
public class Device {

    @Id
    private ObjectId id;
    @Column
    @NotBlank(message = "Device type is required")
    private String deviceType;

    @Column
    private long serialNo;

    @Column
    private String version;

    @Column
    private String description;

    @Column
    @NotBlank(message = "created By User cannot be blank")
    private String createdBy;
    @Column
    private LocalDateTime createdTime;
    @Column
    private String updatedBy;
    @Column
    private LocalDateTime updatedTime;


}
