package com.springpoc.devicemanagement.repo;

import com.springpoc.devicemanagement.model.Device;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Mono;

import java.util.UUID;

@Repository
public interface DeviceRepository extends ReactiveMongoRepository<Device, ObjectId> {
    Mono<String> deleteByDeviceType(String deviceType);

   Mono<String> findByDeviceType(String deviceType);


    Device findByCreatedBy(String userType);
}
