package com.springpoc.devicemanagement.utils;

import com.springpoc.devicemanagement.dto.DeviceDTO;
import com.springpoc.devicemanagement.model.Device;
import reactor.core.publisher.Mono;


public class DeviceMapper {
    public static Mono<Device> mapToDevice(Mono<DeviceDTO> deviceDTOMono) {
        return deviceDTOMono.map(deviceDTO ->
                Device.builder()
                        .deviceType(deviceDTO.getDeviceType())
                        .serialNo(deviceDTO.getSerialNo())
                        .version(deviceDTO.getVersion())
                        .description(deviceDTO.getDescription())
                        .createdBy(deviceDTO.getCreatedBy())
                        .createdTime(deviceDTO.getCreatedTime())
                        .updatedBy(deviceDTO.getUpdatedBy())
                        .updatedTime(deviceDTO.getUpdatedTime())
                        .build()
        );
    }

    public static DeviceDTO mapToDeviceDTO(Device devices) {
        return DeviceDTO.builder()
                .deviceType(devices.getDeviceType())
                .serialNo(devices.getSerialNo())
                .version(devices.getVersion())
                .description(devices.getDescription())
                .createdBy(devices.getCreatedBy())
                .createdTime(devices.getCreatedTime())
                .updatedBy(devices.getUpdatedBy())
                .updatedTime(devices.getUpdatedTime())
                .build();

    }
}
