package com.springpo.loginservice.dto;

import com.springpoc.userservice.model.UserAddress;
import jakarta.persistence.Column;
import jakarta.persistence.Id;
import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Pattern;
import lombok.*;

import java.time.LocalDateTime;

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Setter
@Getter
@Data
public class LoginDTO {

    private String otp;
    @NotBlank(message = "User password is require")
    private String password;
    private String loginFlag;
    private String logoutFlag;
    @NotBlank(message = "User first name cannot be blank")
    private String firstName;
    @NotBlank(message = "User last name cannot be blank")
    private String lastName;
    @NotBlank(message = "Phone number is required")
    @Pattern(regexp="^\\+(?:[0-9] ?){6,14}[0-9]$", message="Invalid phone number format")
    private String phNo;
    @Email(message = "Invalid email format")
    private String email;
    @NotBlank(message = "User userType cannot be blank")
    private String userType;
    @NotBlank(message = "User status cannot be blank")
    private String userStatus;
    @NotBlank(message = "created By User cannot be blank")
    private  String  createdBy;
    private String updatedBy;

}
