package com.springpo.loginservice.model;

import com.springpoc.userservice.model.UserAddress;
import jakarta.persistence.*;
import jakarta.validation.constraints.NotBlank;
import lombok.*;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;
import java.util.UUID;

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Setter
@Getter
@Data
@Document(value = "login-details")
public class LoginUser {

    @Id
   private ObjectId id;
  /*  private UUID loginId;*/
    @Column
    @NotBlank(message = "User otp is require")
    private String otp;
    @Column
    @NotBlank(message = "User password is require")
    private String password;
    @Column
    private Boolean loginFlag;
    @Column
    private Boolean logoutFlag;
    @Column
    private String phNo;
    @Column
    private String email;
    @Column
    private String userType;
    @Column
    private String userStatus;
    @Column
    private String createdBy;
    @Column
    private String updatedBy;


}
