package com.springpo.loginservice.repo;

import com.springpo.loginservice.model.LoginUser;
import com.springpoc.userservice.model.User;
import org.apache.el.stream.Stream;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Mono;

import java.util.List;
import java.util.UUID;

@Repository
public interface LoginRepository extends ReactiveMongoRepository<LoginUser, ObjectId> {
    Mono<LoginUser> findByEmail(String email);

    Mono<String> deleteByEmail(String email);
}
