package com.springpo.loginservice.service;



import com.springpo.loginservice.dto.LoginOutUserRequest;
import com.springpo.loginservice.dto.LoginUserRequest;
import com.springpo.loginservice.model.LoginUser;
import com.springpoc.userservice.model.User;
import org.springframework.http.ResponseEntity;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.io.UnsupportedEncodingException;

public interface LoginService {

    Mono<String> validateOtpAndGeneratePass(LoginUserRequest loginUserRequest) ;

    void fetchUserAndSave(User user);

    Flux<LoginUser> fetchAllUsersAndSave(Flux<User> users);

    Mono<ResponseEntity<User>> authenticatePassword(LoginUserRequest loginUserRequest);

    Mono<String> deleteByEmailId(String email);

    Mono<String> logoutUser(LoginOutUserRequest loginOutUserRequest);
}
