package com.springpoc.userservice.dto;


import com.springpoc.userservice.model.UserAddress;
import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Pattern;
import lombok.*;
import org.bson.types.ObjectId;

import java.time.LocalDateTime;
import java.util.UUID;

@Data
@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserDTO {

    private ObjectId id;

    @NotBlank(message = "User first name cannot be blank")
    private String firstName;
    @NotBlank(message = "User last name cannot be blank")
    private String lastName;
    @NotBlank(message = "Phone number is required")
    @Pattern(regexp="^\\+(?:[0-9] ?){6,14}[0-9]$", message="Invalid phone number format")
    private String phNo;
    @Email(message = "Invalid email format")
    private String email;
    private UserAddress address;
    @NotBlank(message = "User userType cannot be blank")
    private String userType;
    @NotBlank(message = "User status cannot be blank")
    private String userStatus;
    @NotBlank(message = "created By User cannot be blank")
    private  String  createdBy;
    private LocalDateTime createdTime;
    private String updatedBy;
    private LocalDateTime updatedTime;
}
