package com.springpoc.userservice.repo;

import com.springpoc.userservice.dto.UserDTO;
import com.springpoc.userservice.model.User;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.util.UUID;

@Repository
public interface UserRepository extends ReactiveMongoRepository<User, ObjectId> {

    Mono<User> findByEmail(String email);
    Mono<String> deleteByEmail(String email);

    User findByUserType(String userType);
}
