package com.springpoc.userservice.service;

import com.springpoc.userservice.dto.UserDTO;
import com.springpoc.userservice.model.User;
import org.springframework.http.ResponseEntity;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface UserService {

    Mono<ResponseEntity<UserDTO>> createUser(Mono<User> userMono);
    Mono<ResponseEntity<User>> findByEmail(String email);
    Mono<ResponseEntity<User>> updateUser(Mono<User> userDTO);

    Flux<User> createAllUsers(Flux<User> userFlux);

    Mono<String> deleteByEmailId(String email);
}
