package com.springpoc.userservice.utils;

import com.springpoc.userservice.dto.UserDTO;
import com.springpoc.userservice.model.User;

public class UsersMapper {
    public static User mapToUser(UserDTO userDTO) {
        return User.builder()
                .id(userDTO.getId())
                .firstName(userDTO.getFirstName())
                .lastName(userDTO.getLastName())
                .phNo(userDTO.getPhNo())
                .email(userDTO.getEmail())
                .address(userDTO.getAddress())
                .userType(userDTO.getUserType())
                .userStatus(UserStatus.INACTIVE.getUserStatus())
                .createdBy(userDTO.getCreatedBy())
                .createdTime(userDTO.getCreatedTime())
                .updatedBy(userDTO.getUpdatedBy())
                .updatedTime(userDTO.getUpdatedTime())
                .build();
    }

    public static UserDTO mapToUserDTO(User user) {
        return UserDTO.builder()
               .id(user.getId())
                .firstName(user.getFirstName())
                .lastName(user.getLastName())
                .phNo(user.getPhNo())
                .email(user.getEmail())
                .address(user.getAddress())
                .userType(user.getUserType())
                .userStatus(UserStatus.INACTIVE.getUserStatus())
                .createdBy(user.getCreatedBy())
                .createdTime(user.getCreatedTime())
                .updatedBy(user.getUpdatedBy())
                .updatedTime(user.getUpdatedTime())
                .build();
    }
}
